#!/bin/sh
#
# Component: ct
#
# Description:
#  Prints the content of the Plugin Information file
#
# Usage:
#   chkpli.sh <plugin information file>
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#

. $HOME/etc/setenv.sh

PliFile=$1

if [ -z "$PliFile" ] ; then
	usage_ "Missing argument: plugin information file (.pli file)"
	exit 1
fi

if [ ! -f "$PliFile" ] ; then
	echo "The plugin information file does not exist" >&2
	exit 1
fi

Name=""
ShortName=""
Version=""
Vendor=""
License=""

. $PliFile

# Tabulation is for nicer output
echo "Name:		 $Name"
echo "Short Name:	 $ShortName"
echo "Version:	 $Version"
echo "Vendor:		 $Vendor"

echo "$License" > $TMP/chkpli.$$
$CT_HOME/chkplugin $TMP/chkpli.$$
ERR=$?
rm $TMP/chkpli.$$
if [ $ERR != 0 ] ; then
	echo "Error getting license information" >&2
	exit 1
fi

exit 0
