#!/bin/sh

. $HOME/etc/setenv.sh


send_mail()
{
HOSTNAME=`hostname`
  /usr/sbin/sendmail -t <<EndTestMail
From: IM License Manager <im.license.manager@${HOSTNAME}>
Subject: $2 (${HOSTNAME})
To: "eRAD Inc. Support" <support@${SUPPORT_DOMAIN}>
To: "eRAD Inc. Info" <info@${SUPPORT_DOMAIN}>
$1

$3
EndTestMail

} #send_mail()

RESULT=""

if [ -f "$CERTIFICATE_FILE" ] ; then
  RESULT=`$CT_HOME/checkip $CERTIFICATE_FILE`
  if [ $? -eq 0 ] ; then
    [ -z "$RESULT" ] && RESULT="-0"
  else
    [ -z "$RESULT" ] && RESULT="ip"
  fi
else
  RESULT="file"
fi

echo "-ct-$RESULT" > $CT_FLAG_FILE


MAIL_TYPE=""

if [ "$RESULT" = "file" -o "$RESULT" = "ip" ] ; then
  MAIL_TYPE="OVER"
else
  if [ "$RESULT" != "-0" ] ; then
    if [ "$RESULT" -gt "$CERTIFICATE_GRACE_OVER" ] ; then
      MAIL_TYPE="OVER"
    else
      if [ "$RESULT" -gt 0 ] ; then
        MAIL_TYPE="GRACE"
      else
        if [ "$RESULT" -ge "-$CERTIFICATE_START_WARNING" ] ; then
          MAIL_TYPE="WARN"
        fi
      fi
    fi
  fi
fi

if [ -z "$MAIL_TYPE" ] ; then
  rm $TMP/ct-*.sent >/dev/null 2>&1
  exit 0
fi

if [ -f "$TMP/ct-$MAIL_TYPE.sent" ] ; then
  touch $TMP/ct-$MAIL_TYPE.sent >/dev/null 2>&1
  exit 0
fi

QUERY="select concat('To: \"',FIRST,' ',LAST,'\" <',EMAIL,'>') from Access where Rights like '%A%'"
MAIL_RECIPIENTS="`echo \"$QUERY;\" | $MYSQL_HOME/bin/mysql -N $DBNAME`"

MAIL_SUBJECT=""
MAIL_BODY=""
#SUPPORT_INFO=`cat << EndSupportInfo
eRAD Inc. support:
   (v) 866.760.2119
   (e) support@eradimagemedical.com
EndSupportInfo`

case "$MAIL_TYPE" in
  "WARN" )
    EXP_DAYS=$(( 0 - $RESULT))
    MAIL_SUBJECT="Practice Builder License will expire"
    MAIL_BODY=`cat << EndMailBodyWarn
Your Practice Builder user license will expire in $EXP_DAYS days.  You
will recieve no additional notices.  Please contact eRAD Inc.
support or your sales representative as soon as possible."

$SUPPORT_INFO
EndMailBodyWarn` ;;
  "GRACE" )
   EXP_DAYS=$(( $CERTIFICATE_GRACE_OVER - $RESULT ))
   EXP_DAYS=$(( $EXP_DAYS + 1 ))
   MAIL_SUBJECT="Practice Builder License expired"
   MAIL_BODY=`cat << EndMailBodyGrace
Your Practice Builder user license has expired.  All users
will be refused access in $EXP_DAYS days.  Contact eRAD Inc.
support or your sales representative as soon as possible.

$SUPPORT_INFO
EndMailBodyGrace` ;;
  "OVER" )
   MAIL_SUBJECT="Practice Builder License expired"
   MAIL_BODY=`cat << EndMailBodyOver
Your Practice Builder user license has expired.  Contact
eRAD Inc. support or your sales representative.
      
$SUPPORT_INFO
EndMailBodyOver` ;;
esac

send_mail "$MAIL_RECIPIENTS" "$MAIL_SUBJECT" "$MAIL_BODY"

[ $? -eq 0 ] && echo "sent" >  $TMP/ct-$MAIL_TYPE.sent
